- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# ConvolutionKernel Class Reference

Search for all occurrences

## Detailed Description

Definition at line 85 of file ConvolutionKernel.h.

`#include <ConvolutionKernel.h>`

List of all members.

## Public Member Functions
| ConvolutionKernel (const ConvolutionKernel &k)
| copy constructor
| ConvolutionKernel (float *kernel, int size)
| user specified arbitrary size x size kernel.
| ConvolutionKernel (float sharpness=0.5f, float radius=1.5f, float sigma=(1.0f/3.0f))
| construct a procedurally generated kernel (as described above)
| ~ConvolutionKernel ()
| destructor. Releases memory
void | setSharpness (float val)
void | setRadius (float val)
void | setSigma (float val)
void | setKernel (float *f, int Size)
| Copies the supplied kernel into this class.
float | getSharpness () const
float | getRadius () const
float | getSigma () const
bool | isGenerated (void) const
int | getSize (void) const
void | getKernel (float *targetBuffer) const
| copies the kernel to the target buffer which must be appropriately sized
const float * | getKernel (void) const
const short * | getFixedKernel (void) const
void | logPrintKernel (void) const
| Prints the convolution kernel to the log. (for debugging purposes)

## Constructor & Destructor Documentation

ConvolutionKernel | ( | const ConvolutionKernel & | k | ) |

copy constructor

ConvolutionKernel | ( | float * | kernel,
|  | int | size
| ) |  |

user specified arbitrary size x size kernel.

The ctor copies the kernel into this class.

ConvolutionKernel | ( | float | sharpness = `0.5f`,
|  | float | radius = `1.5f`,
|  | float | sigma = `(1.0f/3.0f)`
| ) |  |

construct a procedurally generated kernel (as described above)

~ConvolutionKernel | ( |  | ) |

destructor. Releases memory

## Member Function Documentation

void setSharpness | ( | float | val | ) |

Search for all occurrences

void setRadius | ( | float | val | ) |

Search for all occurrences

void setSigma | ( | float | val | ) |

Search for all occurrences

void setKernel | ( | float * | f,
|  | int | Size
| ) |  |

Search for all occurrences

Copies the supplied kernel into this class.

float getSharpness | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 123 of file ConvolutionKernel.h.

    { return m_Sharpness; }

float getRadius | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 124 of file ConvolutionKernel.h.

    { return m_Radius;    }

float getSigma | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 125 of file ConvolutionKernel.h.

    { return m_Sigma;     }

bool isGenerated | ( | void |  | ) | const `[inline]`

Search for all occurrences

Returns:
  true if procedurally generated, false otherwise

Definition at line 128 of file ConvolutionKernel.h.

    { return m_Generated; }

int getSize | ( | void |  | ) | const `[inline]`

Search for all occurrences

Returns:
  the size of the kernel (width and height are the same)

Definition at line 131 of file ConvolutionKernel.h.

    { return m_Size; }

void getKernel | ( | float * | targetBuffer | ) | const

Search for all occurrences

copies the kernel to the target buffer which must be appropriately sized

const float* getKernel | ( | void |  | ) | const `[inline]`

Search for all occurrences

Returns:
  a pointer to the kernel (in 32 bit float format)

Definition at line 137 of file ConvolutionKernel.h.

    { return m_Kernel; }

const short* getFixedKernel | ( | void |  | ) | const `[inline]`

Search for all occurrences

Returns:
  a pointer to the 16 bit fixed point kernel in S4.11 format

Note:
  The Fixed kernel is made up of fixed point signed numbers in the form S4.11. This was chosen because the procedurally generated kernel will always be expressable in this form as long as the sharpness is in the range -1 to 10.

Definition at line 145 of file ConvolutionKernel.h.

    { return m_fixedKernel; }

void logPrintKernel | ( | void |  | ) | const

Search for all occurrences

Prints the convolution kernel to the log. (for debugging purposes)

The documentation for this class was generated from the following file:

- Mudbox/ConvolutionKernel.h

ConvolutionKernel ConvolutionKernel ConvolutionKernel ConvolutionKernel ConvolutionKernel ConvolutionKernel ConvolutionKernel ConvolutionKernel ConvolutionKernel ConvolutionKernel
ConvolutionKernel ConvolutionKernel ConvolutionKernel ConvolutionKernel ConvolutionKernel ConvolutionKernel ConvolutionKernel ConvolutionKernel ConvolutionKernel ConvolutionKernel